#!/usr/bin/env python

import json
import re
import platform

virt_type = "none"

if platform.system() == "Windows":
    virt_type = "hyperv"
elif platform.system() == "Linux":
    distro = platform.linux_distribution()[0]
    if distro == "Oracle VM server":
        virt_type = "xen"
    elif distro == "Oracle Linux Server":
        kvm_check = re.compile("vmx|svm")
        if kvm_check.search(open("/proc/cpuinfo").read()):
            virt_type = "kvm"
        else:
            virt_type = "qemu"

print json.dumps({
    "ansible_facts": {
        "nova_libvirt_virt_type": virt_type
}})
